# GroupBy Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Inheritance diagram for GroupBy:
[legend]

List of all members.

## Public Member Functions

| toMapped (ProtoDAO $dao, JoinCapableQuery $query)
| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create ($field)

## Detailed Description

Definition at line 16 of file GroupBy.class.php.

## Member Function Documentation

static GroupBy::create | ( | $ | field | ) | `[static]`

Returns:
  GroupBy

Definition at line 21 of file GroupBy.class.php.

References FieldTable::$field.

Referenced by toMapped().

GroupBy::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 34 of file GroupBy.class.php.

GroupBy::toMapped | ( | ProtoDAO $ | dao,
|  | JoinCapableQuery $ | query |
| ) |  |  |

Returns:
  GroupBy

Implements MappableObject.

Definition at line 29 of file GroupBy.class.php.

References create(), and ProtoDAO::guessAtom().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/OSQL/GroupBy.class.php